Pular para o conteúdo principal
GET
/
api
/
v1
/
serving
/
images
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.serving.images.list(limit=50)

    # Handle response
    print(res)
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "spec": {
        "base_image": "nvidia/cuda:12.9.0-devel-ubuntu22.04",
        "python_version": "3.12",
        "apt_packages": [
          "<string>"
        ],
        "pip_packages": [
          "<string>"
        ],
        "env": {},
        "commands": [
          "<string>"
        ]
      },
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "next_cursor": "<string>"
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parâmetros de consulta

cursor
string | null
limit
integer
padrão:50
Intervalo obrigatório: 1 <= x <= 200

Resposta

Resposta Bem-Sucedida

data
Image · object[]
obrigatório
total
integer
obrigatório
next_cursor
string | null